<?php

/**
 * Page de traitement permettant l'ajout d'une entrée dans la liste noire des destinataires.
 * C'est elle qui effectue les bons tests et appel la fonction adéquate.
 * Elle est appelée par un formulaire de la page de gestion des listes noires elle-même appelée par la page d'administration centrale.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/listes_noires.php");

if (isset($_POST['courriel_entree_liste_noire_dst']) && isset($_POST['choix_action_entree_liste_noire_dst']) && !empty($_POST['courriel_entree_liste_noire_dst']) && !empty($_POST['choix_action_entree_liste_noire_dst'])) {
	if ($_POST['choix_action_entree_liste_noire_dst']=="REJECT" || $_POST['choix_action_entree_liste_noire_dst']=="DEFER") {
		ajoutEntreeListeNoireDstPostfix($pdo,$_POST['courriel_entree_liste_noire_dst'],$_POST['choix_action_entree_liste_noire_dst']);
		header ("Location: /pages/gestion/administration.php?page=listes_noires&sousPage=destinataires&succes=9");
		die();
	}
	else {
		header ("Location: /pages/gestion/administration.php?page=listes_noires&sousPage=destinataires&erreur=9");
		die();
	}

}
else {
	header ("Location: /pages/gestion/administration.php?page=listes_noires&sousPage=destinataires&erreur=9");
	die();
}

?>